%define fname  cyr_rfx
%define cname  cp1251
%define origname windows-1251
%define prefix %_x11libdir/X11
Name: XFree86-%fname-fonts-%cname
Version: 1.1
Release: ipl7mdk.1
License: distributable
Source: cyr-rfx-%origname-%version.bdfs.tar.bz2
Source1: Makefile.fonts
Source2: fonts.dir.75dpi
Source3: fonts.dir.misc
Source4: fonts.alias.misc.1251
Source5: fonts.alias.75dpi

BuildArch: noarch
Group: System/Fonts/X11 bitmap
Summary: Cyrillic bitmap fonts for the X Window System in microsoft-cp1251 encoding
Obsoletes: cyr_rfx-windows-1251
PreReq: chkfontpath
Requires: chkfontpath >= 1.4.1

# Automatically added by buildreq on Wed Oct 01 2003
BuildRequires: xorg-x11-font-utils

%description
Collection of cyrillic raster fonts for X Window System by D. Bolkhovityanov.

%prep
%setup -q -n  %origname
cd 75dpi
%__subst 's/-Adobe/-rfx/g' *.bdf
%__subst 's/\"Adobe/\"rfx/g' *.bdf
%__subst 's/windows/microsoft/g' *.bdf
%__subst 's/-1251/-cp1251/g' *.bdf
cd -
cd misc
%__subst 's/-Adobe/-rfx/g' *.bdf
%__subst 's/\"Adobe/\"rfx/g' *.bdf
%__subst 's/windows/microsoft/g' *.bdf
%__subst 's/-1251/-cp1251/g' *.bdf
cd -
cp %SOURCE1 ./Makefile
cp %SOURCE4 ./misc/fonts.alias
cp %SOURCE5 ./75dpi/fonts.alias

%build
make

%install
mkdir -p $RPM_BUILD_ROOT%prefix/fonts/%cname
make FONTDIR=$RPM_BUILD_ROOT%prefix/fonts/%cname install
for n in 75dpi misc; do mkfontdir %buildroot%prefix/fonts/%cname/$n; done

%post
if [ -f /etc/sysconfig/i18n ]; then
    . /etc/sysconfig/i18n
fi
if [ "$LANG" = "be_BY" -o "$LANG" = "bg_BG" -o "$LANG" = "ru_RU.CP1251" -o "$LANG" = "uk_UA.CP1251" -o "$LANG" = "be_BY.CP1251" ]; then
    /usr/sbin/chkfontpath -q --first -a  %prefix/fonts/%cname/75dpi:unscaled
    /usr/sbin/chkfontpath -q --first -a  %prefix/fonts/%cname/misc:unscaled
else
    /usr/sbin/chkfontpath -q -a  %prefix/fonts/%cname/75dpi:unscaled
    /usr/sbin/chkfontpath -q -a  %prefix/fonts/%cname/misc:unscaled
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r  %prefix/fonts/%cname/misc:unscaled
	/usr/sbin/chkfontpath -q -r  %prefix/fonts/%cname/75dpi:unscaled
fi

%files
%doc doc/*
%dir %prefix/fonts/%cname
%prefix/fonts/%cname/misc
%prefix/fonts/%cname/75dpi
%changelog
* Wed Nov 03 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1.1-ipl7mdk.1
- Fixed build with new mkfontdir.

* Thu Oct 21 2004 Stanislav Ievlev <inger@altlinux.org> 1.1-ipl7mdk
- remove old requires

* Wed Oct 01 2003 Stanislav Ievlev <inger@altlinux.ru> 1.1-ipl6mdk
- fix building in hasher

* Fri Nov 22 2002 AEN <aen@altlinux.ru> 1.1-ipl5mdk
- fonts.alias.misc restored

* Sun Nov 10 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1-ipl4mdk
- rebuild

* Tue Apr 16 2002 AEN <aen@logic.ru> 1.1-ipl3mdk
- "unscaled" added to font path

* Sun Feb 18 2001 AEN <aen@logic.ru>
- source global i18n in %post

* Mon Nov 28 2000 AEN <aen@logic.ru>
- 1.1
- build for RE
- name changed

* Mon Dec 27 1999 AEN <aen@logic.ru>
- new aliases

* Tue Dec 21 1999 AEN <aen@logic.ru>
- new version
- build from bdf's

* Fri Dec 10 1999 AEN <aen@logic.ru>
- first spec
